"""Add invoice fiat currencies

Revision ID: 771be83a8b87
Revises: 2612994d620f
Create Date: 2020-02-02 10:05:04.281665

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "771be83a8b87"
down_revision = "2612994d620f"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "invoices",
        sa.Column("currency", sa.Text(), nullable=True, server_default="USD"),
    )
    op.add_column(
        "stores",
        sa.Column("default_currency", sa.Text(), nullable=True, server_default="USD"),
    )
    op.alter_column("invoices", "currency", server_default=None)
    op.alter_column("stores", "default_currency", server_default=None)
    op.alter_column(
        "invoices",
        column_name="amount",
        new_column_name="price",
        existing_type=sa.NUMERIC(precision=16, scale=8),
        existing_nullable=False,
        existing_server_default=None,
    )
    op.alter_column(
        "products",
        column_name="amount",
        new_column_name="price",
        existing_type=sa.NUMERIC(precision=16, scale=8),
        existing_nullable=False,
        existing_server_default=None,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("stores", "default_currency")
    op.drop_column("invoices", "currency")
    op.alter_column(
        "invoices",
        column_name="price",
        new_column_name="amount",
        existing_type=sa.NUMERIC(precision=16, scale=8),
        existing_nullable=False,
        existing_server_default=None,
    )
    op.alter_column(
        "products",
        column_name="price",
        new_column_name="amount",
        existing_type=sa.NUMERIC(precision=16, scale=8),
        existing_nullable=False,
        existing_server_default=None,
    )
    # ### end Alembic commands ###
