"""Added API tokens

Revision ID: 9232980a793a
Revises: 5e3ef47c70a1
Create Date: 2020-02-21 17:34:01.613248

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "9232980a793a"
down_revision = "5e3ef47c70a1"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "tokens",
        sa.Column("id", sa.String(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=True),
        sa.Column("app_id", sa.String(), nullable=True),
        sa.Column("redirect_url", sa.String(), nullable=True),
        sa.Column("permissions", sa.ARRAY(sa.String()), nullable=True),
        sa.ForeignKeyConstraint(["user_id"], ["users.id"], ondelete="SET NULL"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_tokens_user_id"), "tokens", ["user_id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_tokens_user_id"), table_name="tokens")
    op.drop_table("tokens")
    # ### end Alembic commands ###
